diff --git a/books/bookvolbib.pamphlet b/books/bookvolbib.pamphlet
index 3b347d8..22bd27e 100644
--- a/books/bookvolbib.pamphlet
+++ b/books/bookvolbib.pamphlet
@@ -1170,6 +1170,10 @@ A281 1986 ACM order number 505860
 
 \subsection{R} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
+\bibitem[Rainer 14]{Rain14} Joswig, Rainer\\
+``2014: 30+ Years Common Lisp the Language''\\
+\verb|http://lispm.de/20ycltl|
+
 \bibitem[Robidoux 93]{Rob93} Robidoux, Nicolas\\
 ``Does Axiom Solve Systems of O.D.E's Like Mathematica?''\\
 July 1993\\
@@ -1293,6 +1297,10 @@ Physics, pp337-344, Acireale (Italy), 1992 Kluwer, Dordrecht 1993\\
 ``Scratchpad II: Pr{\'e}sentation d'un nouveau langage de calcul formel''\\
 Technical Report 640-M, TIM 3 (IMAG), Grenoble, France, Feb 1987
 
+\bibitem[Steele]{Steele} Steele, Guy L.; Gabriel, Richard P.\\
+``The Evolution of Lisp''\\
+\verb|www.dreamsongs.com/Files/HOPL2-Uncut.pdf|
+
 \bibitem[Sutor 85]{Sut85} Sutor, R.S.\\
 ``The Scratchpad II computer algebra language and system''\\
 In Buchberger and Caviness [BC85], pp32-33 ISBN 0-387-15983-5 (vol. 1),
@@ -2760,6 +2768,11 @@ AMS Colloquium Publications Volume 33 ISBN 978-0-8218-4638-4
 ``Integration in finite terms''\\
 {\sl American Mathematical Monthly}, 79:963-972, 1972
 
+\bibitem[Rote 01]{Rote01} Rote, G\"unter\\
+``Division-free algorithms for the determinant and the Pfaffian''\\
+in Computational Discrete Mathematics ISBN 3-540-42775-9 pp119-135\\
+\verb|page.mi.fu-berlin.de/rote/Papers/pdf/Division-free+algorithms.pdf|
+
 \bibitem[Rothstein 77]{Ro77} Rothstein, Michael\\
 ``A new algorithm for the integration of 
 exponential and logarithmic functions''\\
@@ -2965,8 +2978,13 @@ Springer-Verlag. 614--630. (1982)
 SIAM J. Sci. Statist. Comput. 3 387--407. (1982)
 
 \bibitem[Wiki 3]{Wiki3}.\\
+``Givens Rotations''\\
 \verb|en.wikipedia.org/wiki/Givens_rotation|
 
+\bibitem[Wiki 4]{Wiki4}.\\
+``Polynomial greatest common divisor''\\
+\verb|en.wikipedia.org/wiki/Polynomial_greatest_common_divisor|
+
 \bibitem[Williamson 85]{Wil85} Williamson, S.G.\\
 ``Combinatorics for Computer Science''\\
 Computer Science Press, 1985.
diff --git a/changelog b/changelog
index 36084e4..e6dcdc3 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20140603 tpd src/axiom-website/patches.html 20140603.02.tpd.patch
+20140603 tpd books/bookvolbib add published references from/to Axiom
 20140603 tpd src/axiom-website/patches.html 20140603.01.tpd.patch
 20140603 tpd buglist, add todo 335: add packages to )d op gcd
 20140602 tpd src/axiom-website/patches.html 20140602.01.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index b5e556c..be17339 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4364,6 +4364,8 @@ book/*.txt email cleanup
 books/bookvol10.4 apply Waldek's changes to imposelc in PGCD
 <a href="patches/20140603.01.tpd.patch">20140603.01.tpd.patch</a>
 buglist, add todo 335: add packages to )d op gcd
+<a href="patches/20140603.02.tpd.patch">20140603.02.tpd.patch</a>
+books/bookvolbib add published references from/to Axiom
  </body>
 </html>
 
